Qwt User's Guide 6.1.1

- Main Page
- Related Pages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Functions Variables Typedefs Enumerations Enumerator Pages
Public Types | Public Member Functions | Protected Member Functions | List of all members
QwtColumnSymbol Class Reference

A drawing primitive for columns. More...

`#include <qwt_column_symbol.h>`

## Public Types
enum | Style { NoStyle = -1, Box, UserStyle = 1000 }
enum | FrameStyle { NoFrame, Plain, Raised }

## Public Member Functions
| QwtColumnSymbol (Style=NoStyle)
virtual | ~QwtColumnSymbol ()
| Destructor.
void | setFrameStyle (FrameStyle style)
FrameStyle | frameStyle () const
void | setLineWidth (int width)
int | lineWidth () const
void | setPalette (const QPalette &)
const QPalette & | palette () const
void | setStyle (Style)
Style | style () const
virtual void | draw (QPainter *, const QwtColumnRect &) const

## Protected Member Functions
void | drawBox (QPainter *, const QwtColumnRect &) const

## Detailed Description

A drawing primitive for columns.

## Member Enumeration Documentation

enum QwtColumnSymbol::FrameStyle

Frame Style used in Box style().

See Also
  Style, setFrameStyle(), frameStyle(), setStyle(), setPalette()

Enumerator
NoFrame | No frame.
Plain | A plain frame style.
Raised | A raised frame style.

enum QwtColumnSymbol::Style

Style

See Also
  setStyle(), style()

Enumerator
NoStyle | No Style, the symbol draws nothing.
Box | The column is painted with a frame depending on the frameStyle() and lineWidth() using the palette().
UserStyle | Styles >= QwtColumnSymbol::UserStyle are reserved for derived classes of QwtColumnSymbol that overload draw() with additional application specific symbol types.

## Constructor & Destructor Documentation

QwtColumnSymbol::QwtColumnSymbol | ( | Style | style = `NoStyle` | ) |

Constructor

Parameters

  style | Style of the symbol

See Also
  setStyle(), style(), Style

## Member Function Documentation

void QwtColumnSymbol::draw | ( | QPainter * | painter,
|  | const QwtColumnRect & | rect
| ) |  | const
| virtual

Draw the symbol depending on its style.

Parameters

  painter | Painter
  rect | Directed rectangle

See Also
  drawBox()

void QwtColumnSymbol::drawBox | ( | QPainter * | painter,
|  | const QwtColumnRect & | rect
| ) |  | const
| protected

Draw the symbol when it is in Box style.

Parameters

  painter | Painter
  rect | Directed rectangle

See Also
  draw()

QwtColumnSymbol::FrameStyle QwtColumnSymbol::frameStyle | ( |  | ) | const

Returns
  Current frame style, that is used for the Box style.

See Also
  setFrameStyle(), lineWidth(), setStyle()

int QwtColumnSymbol::lineWidth | ( |  | ) | const

Returns
  Line width of the frame, that is used for the Box style.

See Also
  setLineWidth(), frameStyle(), setStyle()

const QPalette & QwtColumnSymbol::palette | ( |  | ) | const

Returns
  Current palette

See Also
  setPalette()

void QwtColumnSymbol::setFrameStyle | ( | FrameStyle | frameStyle | ) |

Set the frame, that is used for the Box style.

Parameters

  frameStyle | Frame style

See Also
  frameStyle(), setLineWidth(), setStyle()

void QwtColumnSymbol::setLineWidth | ( | int | width | ) |

Set the line width of the frame, that is used for the Box style.

Parameters

  width | Width

See Also
  lineWidth(), setFrameStyle()

void QwtColumnSymbol::setPalette | ( | const QPalette & | palette | ) |

Assign a palette for the symbol

Parameters

  palette | Palette

See Also
  palette(), setStyle()

void QwtColumnSymbol::setStyle | ( | Style | style | ) |

Specify the symbol style

Parameters

  style | Style

See Also
  style(), setPalette()

QwtColumnSymbol::Style QwtColumnSymbol::style | ( |  | ) | const

Returns
  Current symbol style

See Also
  setStyle()